package com.ruoyi.system.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 调课对象 course_change
 * 
 * @author ruoyi
 * @date 2023-06-02
 */
public class CourseChange extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 学校id */
    private Long schoolId;

    /** 学校名称 */
    @Excel(name = "学校名称")
    private String schoolName;

    /** 申请人id */
    @Excel(name = "申请人id")
    private Long applyId;

    /** 申请人 */
    @Excel(name = "申请人")
    private String applyName;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date applyTime;

    /** 调课班级id */
    @Excel(name = "调课班级id")
    private Long subjectClassId;

    /** 调课班级 */
    @Excel(name = "调课班级")
    private String subjectClass;

    /** 调课科目 */
    @Excel(name = "调课科目")
    private String subject;

    /** 调课科目是第几节课 */
    @Excel(name = "调课科目是第几节课")
    private String isNum;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "调课科目的上课时间（yyyy-MM-dd）", width = 30, dateFormat = "yyyy-MM-dd")
    private Date subjectTime;

    /** 周几（调课科目的上课） */
    @Excel(name = "周几（调课科目的上课）")
    private String subjectWeek;

    /** 被调科目老师 */
    @Excel(name = "被调科目老师")
    private String bePersonnel;

    /** 被调科目老师Id */
    @Excel(name = "被调科目老师Id")
    private Long bePersonnelId;

    /** 被调科目 */
    @Excel(name = "被调科目")
    private String beSubject;

    /** 调课科目是第几节课 */
    @Excel(name = "调课科目是第几节课")
    private String beIsNum;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "被调课科目的上课时间（yyyy-MM-dd）", width = 30, dateFormat = "yyyy-MM-dd")
    private Date beSubjectTime;


    /** 周几 */
    @Excel(name = "周几")
    private String week;

    /** 结果（1：待审核，2：同意，3：不同意） */
    @Excel(name = "结果", readConverterExp = "1=：待审核，2：同意，3：不同意")
    private String isPass;

    /** 内容描述 */
    @Excel(name = "内容描述")
    private String content;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long auditId;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditUser;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String opinion;

    private List<Long> subjectClassIds;

    public List<Long> getSubjectClassIds() {
        return subjectClassIds;
    }

    public void setSubjectClassIds(List<Long> subjectClassIds) {
        this.subjectClassIds = subjectClassIds;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setApplyId(Long applyId) 
    {
        this.applyId = applyId;
    }

    public Long getApplyId() 
    {
        return applyId;
    }
    public void setApplyName(String applyName) 
    {
        this.applyName = applyName;
    }

    public String getApplyName() 
    {
        return applyName;
    }
    public void setApplyTime(Date applyTime) 
    {
        this.applyTime = applyTime;
    }

    public Date getApplyTime() 
    {
        return applyTime;
    }
    public void setSubjectClassId(Long subjectClassId)
    {
        this.subjectClassId = subjectClassId;
    }

    public Long getSubjectClassId()
    {
        return subjectClassId;
    }
    public void setSubjectClass(String subjectClass) 
    {
        this.subjectClass = subjectClass;
    }

    public String getSubjectClass() 
    {
        return subjectClass;
    }
    public void setSubject(String subject) 
    {
        this.subject = subject;
    }

    public String getSubject() 
    {
        return subject;
    }
    public void setBeSubject(String beSubject) 
    {
        this.beSubject = beSubject;
    }

    public String getBeSubject() 
    {
        return beSubject;
    }
    public void setWeek(String week) 
    {
        this.week = week;
    }

    public String getWeek() 
    {
        return week;
    }
    public void setIsPass(String isPass) 
    {
        this.isPass = isPass;
    }

    public String getIsPass() 
    {
        return isPass;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setAuditId(Long auditId) 
    {
        this.auditId = auditId;
    }

    public Long getAuditId() 
    {
        return auditId;
    }
    public void setAuditUser(String auditUser) 
    {
        this.auditUser = auditUser;
    }

    public String getAuditUser() 
    {
        return auditUser;
    }
    public void setOpinion(String opinion) 
    {
        this.opinion = opinion;
    }

    public String getOpinion() 
    {
        return opinion;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getIsNum() {
        return isNum;
    }

    public Date getSubjectTime() {
        return subjectTime;
    }

    public String getSubjectWeek() {
        return subjectWeek;
    }

    public String getBePersonnel() {
        return bePersonnel;
    }

    public Long getBePersonnelId() {
        return bePersonnelId;
    }

    public String getBeIsNum() {
        return beIsNum;
    }

    public Date getBeSubjectTime() {
        return beSubjectTime;
    }

    public void setIsNum(String isNum) {
        this.isNum = isNum;
    }

    public void setSubjectTime(Date subjectTime) {
        this.subjectTime = subjectTime;
    }

    public void setSubjectWeek(String subjectWeek) {
        this.subjectWeek = subjectWeek;
    }

    public void setBePersonnel(String bePersonnel) {
        this.bePersonnel = bePersonnel;
    }

    public void setBePersonnelId(Long bePersonnelId) {
        this.bePersonnelId = bePersonnelId;
    }

    public void setBeIsNum(String beIsNum) {
        this.beIsNum = beIsNum;
    }

    public void setBeSubjectTime(Date beSubjectTime) {
        this.beSubjectTime = beSubjectTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("applyId", getApplyId())
            .append("applyName", getApplyName())
            .append("applyTime", getApplyTime())
            .append("subjectClassId", getSubjectClassId())
            .append("subjectClass", getSubjectClass())
            .append("subject", getSubject())
            .append("beSubject", getBeSubject())
            .append("week", getWeek())
            .append("isPass", getIsPass())
            .append("content", getContent())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("auditId", getAuditId())
            .append("auditUser", getAuditUser())
            .append("opinion", getOpinion())
            .toString();
    }
}
